Bug 699131 - onboard doesn't work, exits on AttributeError: get_layout_symbols
onboard doesn't work, exits on AttributeError: get_layout_symbols
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: onboard (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-23 08:03 EDT by James
Modified: 2012-05-19 07:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-19 07:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James 2011-04-23 08:03:55 EDT
Description of problem:
$ onboard

** (onboard:4009): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
WARNING:Config:Can't load Default loading default layout instead
Traceback (most recent call last):
  File "/usr/bin/onboard", line 15, in <module>
    ob = Onboard()
  File "/usr/lib/python2.7/site-packages/Onboard/OnboardGtk.py", line 80, in __init__
    self.update_layout()
  File "/usr/lib/python2.7/site-packages/Onboard/OnboardGtk.py", line 227, in update_layout
    keyboard_state = (vk.get_layout_symbols(),
AttributeError: get_layout_symbols

Version-Release number of selected component (if applicable):
onboard-0.94.0-2.fc15.noarch

How reproducible:
Always.

Additional info:
Many other on-screen keyboards (eekboard, CellWriter) work OK on this system's configuration.
Comment 1 PRABIN KUMAR DATTA 2011-07-05 16:42:10 EDT
$ onboard
Traceback (most recent call last):
  File "/usr/bin/onboard", line 15, in <module>
    ob = Onboard()
  File "/usr/lib/python2.7/site-packages/Onboard/OnboardGtk.py", line 80, in __init__
    self.update_layout()
  File "/usr/lib/python2.7/site-packages/Onboard/OnboardGtk.py", line 227, in update_layout
    keyboard_state = (vk.get_layout_symbols(),
AttributeError: get_layout_symbols
Comment 2 Derrick Ornelas 2011-07-22 23:09:14 EDT
$ rpm -q onboard
onboard-0.94.0-2.fc15.noarch

$ onboard -d DEBUG -l /usr/share/onboard/layouts/Default.onboard
DEBUG:Config:Leaving _init
DEBUG:KbdWindow:Entered in __init__
DEBUG:IconPalette:Entered in __init__
DEBUG:IconPalette:Leaving __init__
DEBUG:KbdWindow:Leaving __init__
INFO:OnboardGtk:Getting user settings
Traceback (most recent call last):
  File "/usr/bin/onboard", line 15, in <module>
    ob = Onboard()
  File "/usr/lib/python2.7/site-packages/Onboard/OnboardGtk.py", line 80, in __init__
    self.update_layout()
  File "/usr/lib/python2.7/site-packages/Onboard/OnboardGtk.py", line 227, in update_layout
    keyboard_state = (vk.get_layout_symbols(),
AttributeError: get_layout_symbols
Comment 3 James 2012-05-19 07:39:59 EDT
Closing as onboard no longer appears to be in Fedora.

Note You need to log in before you can comment on or make changes to this bug.